---
title: BluetoothDevice.name
slug: Web/API/BluetoothDevice/name
tags:
  - API
  - Bluetooth
  - BluetoothDevice
  - Experimental
  - Property
  - Reference
  - Web Bluetooth API
  - name
---
<div>{{APIRef("Bluetooth API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>BluetoothDevice.name</code></strong> read-only property returns a {{DOMxRef("DOMString")}} that provides a human-readable name for the device.</p>

<div class="note">
<p>This page describes the W3C Community Group BluetoothDevice.name property. For the Firefox OS propery of the same name, see {{DOMxRef("BluetoothDevice_%28Firefox_OS%29/name", "BluetoothDevice.name (Firefox OS)")}}.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var name = <em>instanceOfBluetoothDevice</em>.name</pre>

<h3 id="Returns">Returns</h3>

<p>A {{DOMxRef("DOMString")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Bluetooth', '#dom-bluetoothdevice-name', 'name')}}</td>
   <td>{{Spec2('Web Bluetooth')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BluetoothDevice.name")}}</p>
